// file: $isip/class/asr/AudioDatabase/audb_00.cc
// version: $Id: audb_00.cc 8585 2002-08-14 18:26:13Z alphonso $
//

// isip include files
//
#include "AudioDatabase.h"

// method: default constructor
//
// arguments: none
//
// return: none
//
// this is the default constructor for the AnnotationIndex class
//
AudioDatabase::AudioDatabase() {}

//-----------------------------------------------------------------------------
//
// we define non-integral constants in the default constructor
//
//-----------------------------------------------------------------------------

// constants: required constants such as the class name
//
const String AudioDatabase::CLASS_NAME(L"AudioDatabase");

// constants: i/o related constants
//
const String AudioDatabase::DEF_PARAM(L"");
const String AudioDatabase::PARAM_KEYS(L"keys");
const String AudioDatabase::PARAM_NAME(L"name");
const String AudioDatabase::PARAM_VALUES(L"values");

// static instantiations: debug level
//
Integral::DEBUG AudioDatabase::debug_level_d = Integral::NONE;

// static instantiations: the memory manager
//
MemoryManager AudioDatabase::mgr_d(sizeof(AudioDatabase));
